"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// meta.ts
var meta_exports = {};
__export(meta_exports, {
  listPublishedSiteUrls: () => listPublishedSiteUrls2
});
module.exports = __toCommonJS(meta_exports);

// src/urls-api-v2-published-site-urls-site.http.ts
var import_rest_modules = require("@wix/sdk-runtime/rest-modules");
var import_rest_modules2 = require("@wix/sdk-runtime/rest-modules");
function resolveComWixpressUrlsApiV2UrlsApiUrl(opts) {
  const domainToMappings = {
    "api._api_base_domain_": [
      {
        srcPath: "/urls-server",
        destPath: ""
      }
    ],
    "www._base_domain_": [
      {
        srcPath: "/_api/urls-server",
        destPath: "/api"
      }
    ],
    "manage._base_domain_": [
      {
        srcPath: "/_api/urls-server",
        destPath: "/api"
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/urls-server/v2/published-site-urls",
        destPath: "/v2/published-site-urls"
      }
    ]
  };
  return (0, import_rest_modules2.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_urls_site";
function listPublishedSiteUrls(payload) {
  function __listPublishedSiteUrls({ host }) {
    const metadata = {
      entityFqdn: "wix.urls.api.v2.published_site_urls",
      method: "GET",
      methodFqn: "com.wixpress.urls.api.v2.UrlsApi.ListPublishedSiteUrls",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressUrlsApiV2UrlsApiUrl({
        protoPath: "/v2/published-site-urls",
        data: payload,
        host
      }),
      params: (0, import_rest_modules.toURLSearchParams)(payload)
    };
    return metadata;
  }
  return __listPublishedSiteUrls;
}

// src/urls-api-v2-published-site-urls-site.meta.ts
function listPublishedSiteUrls2() {
  const payload = {};
  const getRequestOptions = listPublishedSiteUrls(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/v2/published-site-urls",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  listPublishedSiteUrls
});
//# sourceMappingURL=meta.js.map